# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'server_component/version'

Gem::Specification.new do |spec|
  spec.name          = 'server_component'
  spec.version       = ServerComponent::VERSION
  spec.authors       = ['Shun MIZUKAMI']
  spec.email         = ['norainu234@gmail.com']

  spec.summary       = 'A painless framework for React apps.'
  spec.description   = 'A painless framework for React apps.'
  spec.homepage      = 'https://github.com/effective-spa/server_component_rails'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'jsrb', '~> 0.3'
  spec.add_runtime_dependency 'rails', '~> 5.0', '>= 5.0.0'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
